%define	major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	A library for reading and writing YAML
Name:		syck
Version:	0.70
Release:	%mkrel 8
License:	BSD (and D&R) 
Group:		System/Libraries
URL:		https://github.com/indeyets/syck/wiki
Source0:	http://rubyforge.org/frs/download.php/4492/%{name}-%{version}.tar.gz
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	re2c

%description
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table.

%package -n	%{libname}
Summary:	A library for reading and writing YAML
Group:          System/Libraries

%description -n	%{libname}
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table.

%package -n	%{develname}
Summary:	Static library and header files for the syck library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname syck -d 0}

%description -n	%{develname}
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table.

This package contains the static syck library and its header files.

%prep

%setup -q


%build
export CFLAGS="%{optflags} -fPIC  -DYYPARSE_PARAM=parser"
touch INSTALL NEWS AUTHORS ChangeLog
autoreconf -fi
%configure \
    --enable-shared \
    --disable-static

## %%make_build works randomly 
%__make

%install
%make_install
# disable-static doesn't work
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.a


%files -n %{libname}
%doc CHANGELOG COPYING README README.BYTECODE README.EXT RELEASE TODO
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Thu Mar 17 2022 umeabot <umeabot> 0.70-8.mga9
+ Revision: 1797314
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.70-7.mga8
+ Revision: 1517310
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.70-6.mga7
+ Revision: 1301269
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use __make

* Thu May 12 2016 tv <tv> 0.70-5.mga6
+ Revision: 1014187
- use std build macros; prevent commented out macros to break build

* Wed Feb 03 2016 umeabot <umeabot> 0.70-4.mga6
+ Revision: 933614
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.70-3.mga5
+ Revision: 739617
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70-2.mga5
+ Revision: 689648
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 spuhler <spuhler> 0.70-1.mga5
+ Revision: 660893
- upgrade to vers. 0.70
- removed patches already applied upstream

* Fri Oct 18 2013 umeabot <umeabot> 0.55-12.mga4
+ Revision: 519495
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.55-11.mga3
+ Revision: 383868
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 0.55-10.mga3
+ Revision: 338366
- patch1: fix build with automake 1.13

* Sun Oct 14 2012 fwang <fwang> 0.55-9.mga3
+ Revision: 305295
- drop .la file

* Mon Feb 07 2011 spuhler <spuhler> 0.55-9.mga1
+ Revision: 48278
- increase rel to 9 to be rebuilt
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package syck


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 0.55-8mdv2011.0
+ Revision: 609169
- rebuild

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.55-7mdv2010.0
+ Revision: 445306
- rebuild

* Sun Jan 04 2009 Olivier Thauvin <nanardon@mandriva.org> 0.55-6mdv2009.1
+ Revision: 324878
- rebuild

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.55-5mdv2009.0
+ Revision: 232975
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.55-4mdv2008.0
+ Revision: 59847
- make it provide shared libs as well


* Sun Jun 18 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-06-18 13:07:14 (37591)
- fix CFLAGS (my bad)

* Sun Jun 18 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-06-18 01:56:08 (37510)
- ensure it is build with -Fpic

* Wed Jun 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-06-07 22:20:40 (36796)
- add files

* Wed Jun 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-06-07 22:19:30 (36795)
- initial mandriva rpm

